#ifndef __SYS_SERVICES_UART__
#define __SYS_SERVICES_UART__
/*==============================================================================
    FILE:           sys_services_uart.h

    DESCRIPTION:    Uses ADI System Services to interface with a BF707 UART.

    Copyright (c) 2014 Closed Loop Design, LLC

    This software is supplied "AS IS" without any warranties, express, implied
    or statutory, including but not limited to the implied warranties of fitness
    for purpose, satisfactory quality and non-infringement. Closed Loop Design LLC
    extends you a royalty-free right to reproduce and distribute executable files
    created using this software for use on Analog Devices Blackfin family
    processors only. Nothing else gives you the right to use this software.

==============================================================================*/
#include "cld_bf70x_cdc_lib.h"

#ifdef _LANGUAGE_C

extern volatile bool sys_services_uart_tx_idle;
extern void sys_services_uart_init (void);
extern void sys_services_uart_main (void);
extern CLD_RV sys_services_uart_set_line_coding (CLD_BF70x_CDC_Line_Coding * p_config);
extern CLD_RV sys_services_uart_tx_buffer (unsigned short length, unsigned char * p_buffer);
extern void sys_services_uart_send_break (unsigned short duration);

#endif /* _LANGUAGE_C */

#endif /* __SYS_SERVICES_UART__ */
